COMPUTE_INSTANCE-CONSOLE-CONNECTION_GET-PLINK-CONNECTION-STRING(1)

NAME
compute_instance-console-connection_get-plink-connection-string -

DESCRIPTION

Gets the plink command for starting an SSH tunnel on Windows which will allow VNC connections to the instance. Once you have started the tunnel, you can point your VNC client to localhost:{--local-vnc-port} to connect to the instance (default --local-vnc-port is 5900).

USAGE

oci compute instance-console-connection get-plink-connection-string [OPTIONS]

REQUIRED PARAMETERS

--instance-console-connection-id [text]

    The OCID of the intance console connection

--private-key-file [text]

    The path to the private key to be used for authentication. This is inserted into the generated connection string.

OPTIONAL PARAMETERS

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--local-vnc-port [text]

    This is the local port that you will point your VNC client at. This will be forwarded to the SSH tunnel created by executing the PowerShell command in the output. Default is 5900.

--ssh-proxy-port [text]

    This is the local and remote port for the SSH tunnel. This may be any open port on your local machine. Default is 5905.

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle